com.pixelmed.dose

## Class RecordingDeviceObserverContext

- java.lang.Object
- - com.pixelmed.dose.RecordingDeviceObserverContext

    public class RecordingDeviceObserverContext
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `RecordingDeviceObserverContext.Key`

### Field Summary

Fields
`protected java.lang.String` `location`
`protected java.lang.String` `manufacturer`
`protected java.lang.String` `modelName`
`protected java.lang.String` `name`
`protected java.lang.String` `serialNumber`
`protected java.lang.String` `uid`

### Constructor Summary

Constructors
Constructor and Description
`RecordingDeviceObserverContext(ContentItem root)`
`RecordingDeviceObserverContext(java.lang.String uid, java.lang.String name, java.lang.String manufacturer, java.lang.String modelName, java.lang.String serialNumber, java.lang.String location)`

### Method Summary

Methods
`java.lang.String` `getLocation()`
`java.lang.String` `getManufacturer()`
`java.lang.String` `getModelName()`
`java.lang.String` `getName()`
`java.lang.String` `getSerialNumber()`
`java.util.Map<RecordingDeviceObserverContext.Key,ContentItem>` `getStructuredReportFragment()`
`java.lang.String` `getUID()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### uid

    protected java.lang.String uid

#### name

    protected java.lang.String name

#### manufacturer

    protected java.lang.String manufacturer

#### modelName

    protected java.lang.String modelName

#### serialNumber

    protected java.lang.String serialNumber

#### location

    protected java.lang.String location

### Constructor Detail

#### RecordingDeviceObserverContext

    public RecordingDeviceObserverContext(java.lang.String uid,
                                  java.lang.String name,
                                  java.lang.String manufacturer,
                                  java.lang.String modelName,
                                  java.lang.String serialNumber,
                                  java.lang.String location)

#### RecordingDeviceObserverContext

    public RecordingDeviceObserverContext(ContentItem root)

### Method Detail

#### getUID

    public java.lang.String getUID()

#### getName

    public java.lang.String getName()

#### getManufacturer

    public java.lang.String getManufacturer()

#### getModelName

    public java.lang.String getModelName()

#### getSerialNumber

    public java.lang.String getSerialNumber()

#### getLocation

    public java.lang.String getLocation()

#### getStructuredReportFragment

    public java.util.Map<RecordingDeviceObserverContext.Key,ContentItem> getStructuredReportFragment()
                                                                                              throws DicomException

Throws:
  `DicomException`